Remove RDoc tags

2018-06-04 17:54 - Sho HASHIMOTO

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: 4.0.0   

Description

I was removed :nodoc: from *.rb because yard doesn't support :nodoc: and :nodoc: shows in generated html.

Associated revisions

Revision 17370 - 2018-06-08 02:55 - Go MAEDA

Remove RDoc tags (#28943).

Patch by Sho HASHIMOTO.

History

#1 - 2018-06-05 04:34 - Go MAEDA

I can not be sure if we should merge the change.

Currently, the codebase does not contain any Yard tags. And the author of Yard wrote that using "@private" tag is not recommended. Also, the patch

changes the output of rdoc.

Sho HASHIMOTO, do you think those are OK?

#2 - 2018-06-05 04:46 - Sho HASHIMOTO

Currently, the codebase does not contain any Yard tags.

 umm... Redmine is already using Yard tags like these. rdoc can't parse normaly. I think supporting both(rdoc and yard) is unhappy. We can't use all of

on one side only tag like :nodoc:, @param, ...

https://github.com/redmine/redmine/blob/3.4.5/lib/redmine/plugin.rb#L140

https://github.com/redmine/redmine/blob/3.4.5/app/helpers/application_helper.rb#L43-L46

"@private" tag is not recommended.

 I knew. Please remove :nodoc: if yard is taken and private private education loan isn't used. Maybe yard recommends writing all documents.

#3 - 2018-06-05 05:11 - Sho HASHIMOTO

Redmine is not using important rdoc tag like call-seq, include, ...

Maybe, using yard will have only few problems.

$ egrep '#\s*:[a-zA-Z]+:' **/*.rb

lib/plugins/open_id_authentication/lib/open_id_authentication.rb:    def using_open_id?(identifier = nil) #:do

c:

lib/plugins/open_id_authentication/lib/open_id_authentication.rb:    def authenticate_with_open_id(identifier 

= nil, options = {}, &block) #:doc:

lib/redmine/core_ext/string.rb:class String #:nodoc:

lib/redmine/core_ext/string/conversions.rb:module Redmine #:nodoc:

lib/redmine/core_ext/string/conversions.rb:  module CoreExtensions #:nodoc:

lib/redmine/core_ext/string/conversions.rb:    module String #:nodoc:

lib/redmine/core_ext/string/inflections.rb:module Redmine #:nodoc:

lib/redmine/core_ext/string/inflections.rb:  module CoreExtensions #:nodoc:

lib/redmine/core_ext/string/inflections.rb:    module String #:nodoc:

lib/redmine/helpers/gantt.rb:      # :nodoc:

lib/redmine/menu_manager.rb:    class MenuError < StandardError #:nodoc:

lib/redmine/plugin.rb:module Redmine #:nodoc:
https://github.com/lsegal/yard/issues/34#issuecomment-75793
https://github.com/redmine/redmine/blob/3.4.5/lib/redmine/plugin.rb#L140
https://github.com/redmine/redmine/blob/3.4.5/app/helpers/application_helper.rb#L43-L46
https://www.redmine.org/users/22360


lib/redmine/scm/adapters/abstract_adapter.rb:      class AbstractAdapter #:nodoc:

lib/redmine/scm/adapters/command_failed.rb:      class CommandFailed < StandardError #:nodoc:

lib/redmine/scm/adapters/cvs_adapter.rb:        # :pserver:anonymous@foo.bar:/path => /path

lib/redmine/scm/adapters/cvs_adapter.rb:        # :ext:cvsservername:/path => /path

lib/redmine/version.rb:  module VERSION #:nodoc:

test/mocks/open_id_authentication_mock.rb:    def authenticate_with_open_id(identity_url = params[:openid_url]

, options = {}) #:doc:

 And I want to add Marc Since tag after this ticket. It will be useful for plugin developper.

#4 - 2018-06-05 08:59 - Go MAEDA

- Target version set to Candidate for next major release

Sho HASHIMOTO wrote:

umm... Redmine is already using Yard tags like these. rdoc can't parse normaly. I think supporting both(rdoc and yard) is unhappy. We can't use

all of  on one side only tag like :nodoc:, @param, ...

https://github.com/redmine/redmine/blob/3.4.5/lib/redmine/plugin.rb#L140

https://github.com/redmine/redmine/blob/3.4.5/app/helpers/application_helper.rb#L43-L46

 I had overlooked that. Thank you for pointing it out.

As Sho HASHIMOTO wrote, it is obvious that the document of Redmine is supposed to be generated with Yard because Redmine has a rake task

"rake yard" and uses some Yard tags.

#5 - 2018-06-07 02:20 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting target version to 4.1.0.

#6 - 2018-06-07 02:28 - Go MAEDA

Maybe we can also remove :doc: tag. Do you think it is OK?

http://www.redmine.org/projects/redmine/repository/entry/tags/3.4.5/lib/plugins/open_id_authentication/lib/open_id_authentication.rb#L112

#7 - 2018-06-07 03:08 - Sho HASHIMOTO

It is no problem for me! Thanks!

#8 - 2018-06-07 03:15 - Go MAEDA

- Subject changed from Remove :nodoc: to Remove RDoc tags

#9 - 2018-06-08 02:56 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thanks.

#10 - 2018-06-08 04:23 - Sho HASHIMOTO

Thanks!!

Files

remove_nodoc.patch 4.9 KB 2018-06-04 Sho HASHIMOTO
